## go-rsm go-rsm |

## Functions

gconstpointer | go_rsm_lookup ()
void | go_rsm_register_file ()
void | go_rsm_unregister_file ()

## Description

## Functions

### go_rsm_lookup ()

    gconstpointer
    go_rsm_lookup (const char *id,
                   size_t *len);

#### Parameters

id | resource name |
len | where to store the resource size in bytes |

#### Returns

the resource or `NULL` if not found.

[transfer none][nullable]

### go_rsm_register_file ()

    void
    go_rsm_register_file (const char *id,
                          gconstpointer data,
                          size_t len);

### go_rsm_unregister_file ()

    void
    go_rsm_unregister_file (const char *id);